[Bug 893700] Re: pbuilder create of a precise image fails on perl-modules / perl conflict

Colin Watson cjwatson at canonical.com
Tue Nov 22 20:24:36 UTC 2011


(In particular I think it will go away before we'd have time to get this
through the SRU process.)

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to debootstrap in Ubuntu.
https://bugs.launchpad.net/bugs/893700

Title:
  pbuilder create of a precise image fails on perl-modules / perl
  conflict

Status in “debootstrap” package in Ubuntu:
  Fix Released
Status in “debootstrap” source package in Natty:
  Triaged
Status in “debootstrap” source package in Oneiric:
  New
Status in “debootstrap” source package in Precise:
  Fix Released
Status in “debootstrap” package in Debian:
  Unknown

Bug description:
  pbuilder fails to create a precise builder image (has been failing
  this way for me for past week or two at least):

  $ sudo DIST=precise ARCH=i386 pbuilder create --distribution precise
  ....
  Reading package lists...
  I: Obtaining the cached apt archive contents
  Reading package lists...
  Building dependency tree...
  You might want to run 'apt-get -f install' to correct these.
  The following packages have unmet dependencies:
   perl : Depends: perl-modules (>= 5.14.2-5) but 5.12.4-6 is installed
  E: Unmet dependencies. Try using -f.
  I: unmounting /var/cache/pbuilder/ccache filesystem
  I: unmounting dev/pts filesystem
  I: unmounting proc filesystem
  I: cleaning the build env
  I: removing directory /var/cache/pbuilder/build//11957 and its subdirectories

  I gather that perl-modules is a binary package of the perl source
  package, so perhaps it is really a perl or apt issue, but am not
  certain at this point.

  Detailed log attached.

  pbuilder:
    Installed: 0.199+nmu1ubuntu1.1
    Candidate: 0.199+nmu1ubuntu1.1
    Version table:
   *** 0.199+nmu1ubuntu1.1 0
          500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
          100 /var/lib/dpkg/status
       0.199+nmu1ubuntu1 0
          500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debootstrap/+bug/893700/+subscriptions




More information about the foundations-bugs mailing list